Black/striped thumbnails of CMYK JPEGs
Closed, ResolvedPublic

Description

See the original upload of http://commons.wikimedia.org/wiki/File:Wikipedia_parel_poster_A1.jpg

The thumbnails for this upload rendered in a striped black. This is most likely caused by ImageMagick using the EXIF colorspace by default. In the case of this image, the EXIF colorspace is set as "uncalibrated" which probably makes IM default to RGB, whereas this is a CMYK image. The ICC however notes "color mode: CMYK, Color profile: ISO Coated v2 (ECI)'

Intermediary solution is to convert the image using a graphics program from color mode CMYK to RGB and saving it with colorprofile sRDB for instance.


Version: 1.17.x
Severity: minor

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz24854.
TheDJ created this task.Via LegacyAug 18 2010, 3:49 PM
TheDJ added a comment.Via ConduitAug 18 2010, 4:44 PM

This version is fixed with a newer ImageMagick or newer libjpeg version.

I run:
Version: ImageMagick 6.5.9-9 2010-05-05 Q16 http://www.imagemagick.org
Copyright: Copyright (C) 1999-2010 ImageMagick Studio LLC

libjpeg (7.dylib)

which does not have this problem.

kaldari added a comment.Via ConduitAug 18 2010, 5:39 PM

Actually ImageMagick was just upgraded a few days ago. Previously it discarded the color profile from thumbnails, now they are preserved. Perhaps this problem was caused by the fact that the EXIF and ICC color settings did not agree with each other.

kaldari added a comment.Via ConduitAug 18 2010, 5:40 PM

I was referring to the ImageMagick used by our thumbnailing servers in case it was not clear.

TheDJ added a comment.Via ConduitAug 18 2010, 9:49 PM

No, this upload was from today. It is not related to our upgrade.

There might be other causes of course. It could be an error in libjpeg or in the assembly code used by imagemagick, and thus be specific to the platform. a 32bit vs 64bit issue. Will require further testing I guess.

TheDJ added a comment.Via ConduitNov 14 2010, 4:42 PM
  • Bug 25921 has been marked as a duplicate of this bug. ***
Bawolff added a comment.Via ConduitFeb 24 2011, 8:26 PM
  • Bug 27635 has been marked as a duplicate of this bug. ***
TheDJ added a comment.Via ConduitMay 19 2011, 9:33 AM
  • Bug 29046 has been marked as a duplicate of this bug. ***
Bawolff added a comment.Via ConduitApr 4 2012, 12:36 AM
  • Bug 35684 has been marked as a duplicate of this bug. ***
Bawolff added a comment.Via ConduitApr 4 2012, 12:37 AM

Note the last bug i duped was actually about YCCK jpegs, not CYMK, but its essentially the same issue.

McZusatz added a comment.Via ConduitJun 13 2012, 10:51 AM
Bawolff added a comment.Via ConduitJun 26 2012, 11:55 AM
  • Bug 37956 has been marked as a duplicate of this bug. ***
McZusatz added a comment.Via ConduitJun 30 2012, 8:43 AM

I created a https://commons.wikimedia.org/wiki/Category:Bug_24854_fixed_temporarily , where I stored all the files wich got temporarily fixed. Just to keep order.

bzimport added a comment.Via ConduitJul 31 2012, 6:50 AM

nneonneo wrote:

*** Bug 38815 has been marked as a duplicate of this bug. ***

bzimport added a comment.Via ConduitJul 31 2012, 6:56 AM

nneonneo wrote:

From my brief analysis over at Bug 38815, I've noticed that the images are converted to 1-bit black when the thumbnail has width less than 85% of the original, exacerbating this problem. So, it is probably more noticeable on smaller thumbnails.

Furthermore, the effect is browser-dependent. Some browsers (and OSes) will render the larger (>= 85% width) thumbnails fine, but others (in my testing, Safari and OS X) actually invert the colours in the thumbnail (but not the original) for some reason. The likely suspect is missing or incorrect ICC profiles.

McZusatz added a comment.Via ConduitJul 31 2012, 9:42 AM

(In reply to comment #15)
Thanks for having a detailed look at this problem. Rendering in Firefox (at least 14.0.1) and Opera (at least 12.00) on Ubuntu 12.04 is fine. IE8 on Win7 does not display any thumbnail of those CMYK images.

bzimport added a comment.Via ConduitAug 10 2012, 6:17 AM

morgankevinj wrote:

another example:
https://commons.wikimedia.org/wiki/File:WendyDavis.jpeg

Krenair added a comment.Via ConduitSep 20 2012, 5:36 PM
  • Bug 36346 has been marked as a duplicate of this bug. ***
McZusatz added a comment.Via ConduitOct 26 2012, 11:27 AM

Was there any update regarding the image scalers? The black/striped artefacts seem to have disappeared now... See example at: https://commons.wikimedia.org/wiki/File:Photo_of_Gail_Dolgin.jpg

Nevertheless the thumbnails of cmyk-files (at least of the example file I mentioned above) have about 100 times the size of "normal" rgb thumbnails.

See:

TheDJ added a comment.Via ConduitOct 26 2012, 12:14 PM

It does seem indeed as if this issue is now fixed after purging the affected images. Where thumbs are not fixed, it seems this is because of bug 41130

Gilles added a project: Multimedia.Via WebDec 4 2014, 10:54 AM
Gilles moved this task to Closed on the Multimedia workboard.

Add Comment